Upload MSEL image
POST
/api/v1/ttx/{ttx_id}/msel/images
An image to attach to injects (re-encoded; linked by the next save).
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typemultipart/form-data
Body_upload_msel_image_endpoint_api_v1_ttx__ttx_id__msel_images_post
object
file
required
File
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
MselImageRead
POST /ttx/{ttx_id}/msel/images: the stored image, to link from an
inject (InjectImageInput.image_id).
object
height
required
Height
integer
id
required
Id
string format: uuid
width
required
Width
integer
Example generated
{ "height": 1, "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "width": 1}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}